Bug 1366306 - gdeploy should pull the required ansible as a dependency
Summary: gdeploy should pull the required ansible as a dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-08-11 14:46 UTC by SATHEESARAN
Modified: 2017-03-07 17:45 UTC (History)
8 users (show)

Fixed In Version: gdeploy-2.0.1-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:34:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description SATHEESARAN 2016-08-11 14:46:13 UTC
Description of problem:
-----------------------
Currently gdeploy requires ansible, but still the gdeploy doesn't pull the required ansible as a dependency

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
gdeploy-2.0-16

How reproducible:
-----------------
NA

Steps to Reproduce:
-------------------
1. Check for gdeploy dependencies
# rpm -qpR gdeploy-2.0-16.*

Actual results:
---------------
gdeploy doesn't pull ansible as dependency

Expected results:
-----------------
gdeploy should pull the required version of ansible as a dependency

Comment 5 SATHEESARAN 2016-11-08 08:20:08 UTC
Tested with gdeploy-2.0.1-3.el7rhgs installed on RHEL 7.3

gdeploy requires ansible-2.2 as dependency
host1 # rpm -qR gdeploy | grep ansible
ansible >= 2.2

On other hand, gdeploy for RHEL 6 doesn't has any requirement on ansible.

Comment 8 errata-xmlrpc 2017-02-07 11:34:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.